# $Revision: 1.10 $, $Date: 2004/05/07 01:09:16 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CFB
Summary:	Crypt::CFB Perl module - encrypt data in Cipher Feedback Mode
Summary(pl):	Modu Perla Crypt::CFB - szyfrujcy dane w trybie Cipher Feedback
Name:		perl-Crypt-CFB
Version:	0.01
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eb29e4d92d67b7763a3882858077cf08
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pure Perl implementation of Cipher Feedback Mode for almost arbitrary
block ciphers and cryptographic hash functions.

%description -l pl
Modu ten jest czysto perlow implementacj Cipher Feedback Mode dla
prawie dowolnych szyfrw blokowych i kryptograficznych funkcji
mieszajcych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/CFB.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-CFB.spec,v $
Revision 1.10  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.9  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.8  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:43  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

